# Password

A Cypher password generates a secure password of specified character length in the key pattern (or 15) with symbols, numbers, upper case, and lower case letters (i.e. password/15/mypass generates a 15 character password).

Key
:   Pattern “password/character\_length/key”

    Example: password/10/mypassword

Value
:   Leave the Value filed blank for a password, as it will be generated.

Lease
:   Enter lease time in seconds (ex. 604800 for one week)

Save changes and the password will be generated and available for use.

If your user role has Cypher: Decrypt permissions, a “DECRYPT” button will be available in the Cypher section to view the generated password.

To delete the password key, select Actions  >  Remove and confirm.
